package com.zcloud.zcGbsServicer.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.zcGbsServicer.dto.FireAlarmMeetingRoomAddCmd;
import com.zcloud.zcGbsServicer.dto.FireAlarmMeetingRoomPageQry;
import com.zcloud.zcGbsServicer.dto.FireAlarmMeetingRoomUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.FireAlarmMeetingRoomCO;

public interface FireAlarmMeetingRoomServiceI {

    PageResponse<FireAlarmMeetingRoomCO> listPage(FireAlarmMeetingRoomPageQry qry);

    SingleResponse<FireAlarmMeetingRoomCO> add(FireAlarmMeetingRoomAddCmd cmd);

    void edit(FireAlarmMeetingRoomUpdateCmd cmd);

    FireAlarmMeetingRoomCO get(Long id);

    void remove(Long id);
}
